Package com.omnisci.jdbc

## Class OmniSciEscapeFunctions

- java.lang.Object
- - com.omnisci.jdbc.OmniSciEscapeFunctions

    public final class OmniSciEscapeFunctions
    extends Object

### Constructor Summary

Constructors
`OmniSciEscapeFunctions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `appendCall​(StringBuilder sb, String begin, String separator, String end, List<? extends CharSequence> args)` Appends `begin arg0 separator arg1 separator end` sequence to the input `StringBuilder`
`static Method` `getFunction​(String functionName)` get Method object implementing the given function
`static void` `sqlceiling​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` ceiling to ceil translation
`static void` `sqldayofmonth​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` dayofmonth translation
`static void` `sqldayofweek​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` dayofweek translation adding 1 to postgresql function since we expect values from 1 to 7
`static void` `sqldayofyear​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` dayofyear translation
`static void` `sqlhour​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` hour translation
`static void` `sqlminute​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` minute translation
`static void` `sqlmonth​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` month translation
`static void` `sqlquarter​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` quarter translation
`static void` `sqlsecond​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` second translation
`static void` `sqlweek​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` week translation
`static void` `sqlyear​(StringBuilder buf, List<? extends CharSequence> parsedArgs)` year translation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OmniSciEscapeFunctions

    public OmniSciEscapeFunctions()

### Method Detail

#### getFunction

    public static Method getFunction​(String functionName)

get Method object implementing the given function

Parameters:
  `functionName` - name of the searched function
Returns:
  a Method object or null if not found

#### sqlceiling

    public static void sqlceiling​(StringBuilder buf,
                                  List<? extends CharSequence> parsedArgs)
                           throws SQLException

ceiling to ceil translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqldayofmonth

    public static void sqldayofmonth​(StringBuilder buf,
                                     List<? extends CharSequence> parsedArgs)
                              throws SQLException

dayofmonth translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqldayofweek

    public static void sqldayofweek​(StringBuilder buf,
                                    List<? extends CharSequence> parsedArgs)
                             throws SQLException

dayofweek translation adding 1 to postgresql function since we expect values from 1 to 7

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqldayofyear

    public static void sqldayofyear​(StringBuilder buf,
                                    List<? extends CharSequence> parsedArgs)
                             throws SQLException

dayofyear translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlhour

    public static void sqlhour​(StringBuilder buf,
                               List<? extends CharSequence> parsedArgs)
                        throws SQLException

hour translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlminute

    public static void sqlminute​(StringBuilder buf,
                                 List<? extends CharSequence> parsedArgs)
                          throws SQLException

minute translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlmonth

    public static void sqlmonth​(StringBuilder buf,
                                List<? extends CharSequence> parsedArgs)
                         throws SQLException

month translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlquarter

    public static void sqlquarter​(StringBuilder buf,
                                  List<? extends CharSequence> parsedArgs)
                           throws SQLException

quarter translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlsecond

    public static void sqlsecond​(StringBuilder buf,
                                 List<? extends CharSequence> parsedArgs)
                          throws SQLException

second translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlweek

    public static void sqlweek​(StringBuilder buf,
                               List<? extends CharSequence> parsedArgs)
                        throws SQLException

week translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### sqlyear

    public static void sqlyear​(StringBuilder buf,
                               List<? extends CharSequence> parsedArgs)
                        throws SQLException

year translation

Parameters:
  `buf` - The buffer to append into
  `parsedArgs` - arguments
Throws:
  `SQLException` - if something wrong happens

#### appendCall

    public static void appendCall​(StringBuilder sb,
                                  String begin,
                                  String separator,
                                  String end,
                                  List<? extends CharSequence> args)

Appends `begin arg0 separator arg1 separator end` sequence to the input `StringBuilder`

Parameters:
  `sb` - destination StringBuilder
  `begin` - begin string
  `separator` - separator string
  `end` - end string
  `args` - arguments